Loading...
Searching...
No Matches
{un,or}gr2: step in ungrq
LAPACK » Orthogonal/unitary factors (QR, CS, etc.) » RQ
Collaboration diagram for {un,or}gr2: step in ungrq:

## Functions

subroutine | cungr2 (m, n, k, a, lda, tau, work, info)
| CUNGR2 generates all or part of the unitary matrix Q from an RQ factorization determined by cgerqf (unblocked algorithm).
subroutine | dorgr2 (m, n, k, a, lda, tau, work, info)
| DORGR2 generates all or part of the orthogonal matrix Q from an RQ factorization determined by sgerqf (unblocked algorithm).
subroutine | sorgr2 (m, n, k, a, lda, tau, work, info)
| SORGR2 generates all or part of the orthogonal matrix Q from an RQ factorization determined by sgerqf (unblocked algorithm).
subroutine | zungr2 (m, n, k, a, lda, tau, work, info)
| ZUNGR2 generates all or part of the unitary matrix Q from an RQ factorization determined by cgerqf (unblocked algorithm).

## Detailed Description